package de.intevation.flys.client.client.ui.range;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.types.ListGridFieldType;
import com.smartgwt.client.types.SelectionStyle;
import com.smartgwt.client.widgets.grid.ListGrid;
import com.smartgwt.client.widgets.grid.ListGridField;

import de.intevation.flys.client.client.FLYSConstants;
import de.intevation.flys.client.client.FLYSImages;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class LocationsTable extends ListGrid {

    /** The message class that provides i18n strings.*/
    protected FLYSConstants MSG = GWT.create(FLYSConstants.class);

    /** The interface that provides the image resources. */
    private FLYSImages IMAGES = GWT.create(FLYSImages.class);


    public LocationsTable() {
        setWidth100();
        setHeight100();
        setSelectionType(SelectionStyle.SINGLE);
        setSelectionType(SelectionStyle.SINGLE);
        setShowHeaderContextMenu(false);
        setShowRecordComponents(true);
        setShowRecordComponentsByCell(true);
        setEmptyMessage(MSG.empty_filter());
        setCanReorderFields(false);

        ListGridField addfrom = new ListGridField ("", "");
        addfrom.setType(ListGridFieldType.ICON);
        addfrom.setWidth(20);
        addfrom.setCellIcon(IMAGES.markerGreen().getURL());

        ListGridField addto = new ListGridField("", "");
        addto.setType(ListGridFieldType.ICON);
        addto.setWidth(20);
        addto.setCellIcon(IMAGES.markerRed().getURL());

        ListGridField ldescr = new ListGridField(
            "description", MSG.description());
        ldescr.setType(ListGridFieldType.TEXT);
        ldescr.setWidth("*");

        ListGridField lside = new ListGridField("riverside", MSG.riverside());
        lside.setType(ListGridFieldType.TEXT);
        lside.setWidth("12%");

        ListGridField loc = new ListGridField("from", MSG.locations());
        loc.setType(ListGridFieldType.TEXT);
        loc.setWidth("12%");

        ListGridField bottom = new ListGridField("bottom", MSG.bottom_edge());
        bottom.setType(ListGridFieldType.TEXT);
        bottom.setWidth("10%");

        ListGridField top = new ListGridField("top", MSG.top_edge());
        top.setType(ListGridFieldType.TEXT);
        top.setWidth("10%");

        setFields(addfrom, addto, ldescr, loc, lside, bottom, top);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
